__gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser(3cxx)

NAME
__gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser - Internal representation of a _LoserTree element.

SYNOPSIS

#include <losertree.h>

  Public Attributes

_Tp _M_key
_M_key of the element in the _LoserTree.
int _M_source
__index of the __source __sequence.
bool _M_sup
flag, true iff this is a maximum"__sentinel.

Detailed Description

  template<typename _Tp, typename _Compare>
struct __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser"Internal representation of a _LoserTree element.

Member Data Documentation

  template<typename _Tp, typename _Compare> _Tp __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_key

_M_key of the element in the _LoserTree.

  template<typename _Tp, typename _Compare> int __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_source

__index of the __source __sequence.

  template<typename _Tp, typename _Compare> bool __gnu_parallel::_LoserTreeBase< _Tp, _Compare >::_Loser::_M_sup

flag, true iff this is a "maximum" __sentinel.

Author

Generated automatically by Doxygen for libstdc++ from the source code.